
export default ({request}) => ({
    /**
     * @description 登录
     * @param {Object} data 登录携带的信息
     */
    //仓房信息列表
     wareInfoList(data) {
      return request({
        url: 'storehouse/getStorehousePage',
        method: 'post',
        data
      })
    },
    //打开弹框时的列表
    cfDialogList(params){
         
      return request({
        url: '/storehouse/getStorehouseById',
        method: 'get',
        params
      })
    },

    //编辑提交
    editWareInfo(data){
     
      return request({
        url: '/storehouse/update',
        method: 'post',
      
       data
      })
    },
   



    // 删除仓房信息
    deleteWareInfo(id){
     
      return request({
        url: `storehouse/deleteStorehouse/${id}`,
        method: 'get',
       
      })
    },



     // 删除粮食信息
     deleteLsInfo(id){
     
      return request({
        url: `storehouse/deleteStorehouseClxx/${id}`,
        method: 'get',
       
      })
    },


    //获取保管员

    keeper(params){
     
      return request({
        url: `/userInfo/authority/getUserList`,
        method: 'get',
         params
      })
    }

 
  
  })
  
  